package dev.lonami.talaria.ui.state

import androidx.lifecycle.ViewModel
import dev.lonami.talaria.data.DialogRepository
import dev.lonami.talaria.data.NativeDialogRepository
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow

class DialogViewModel(private val repository: DialogRepository = NativeDialogRepository()) :
    ViewModel() {
    private val _uiState = MutableStateFlow(DialogUiState())
    val uiState: StateFlow<DialogUiState> = _uiState.asStateFlow()

    private fun loadDialogs() {
        _uiState.value = DialogUiState(repository.loadDialogs())
    }

    init {
        loadDialogs()
    }
}
